Bug 2652 - [UPDATE REQUEST] apr-util 1.5.1 -> 1.5.2
: [UPDATE REQUEST] apr-util 1.5.1 -> 1.5.2
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 15:36 MSD by Andrey Bondrov
Modified: 2013-09-13 12:58 MSD (History)
2 users (show)

See Also:
RPM Package: apr-util
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2013-09-05 15:36:41 MSD
New version of apr-util was released some time ago.
Comment 1 Andrey Bondrov 2013-09-05 15:37:35 MSD
Advisory: "New version 1.5.2 with speedups and bugfixes"

https://abf.rosalinux.ru/build_lists/1244400
https://abf.rosalinux.ru/build_lists/1244401
Comment 2 Vladimir Potapov 2013-09-11 11:41:26 MSD
urpmi apr-util
Пакеты libexpat1-2.1.0-2-rosa2012.1.i586, libapr1-1.4.6-1-rosa2012.1.i586, glibc-2.15-8-rosa2012.1.i586 уже установлен


устанавливается libapr-util1-1.4.1-2-rosa2012.1.i586.rpm из /var/cache/urpmi/rpms
Подготовка...                    ###############################################################################################
Установка не удалась:
        файл /usr/lib/libaprutil-1.so.0 из устанавливаемого пакета libapr-util1-1.4.1-2.i586 конфликтует с файлом из пакета libapr-util1_0-1.5.1-3.i586

Установка не удалась:   файл /usr/lib/libaprutil-1.so.0 из устанавливаемого пакета libapr-util1-1.4.1-2.i586 конфликтует с файлом из пакета libapr-util1_0-1.5.1-3.i586
Comment 3 Andrey Bondrov 2013-09-11 13:40:51 MSD
(In reply to comment #2)
> Установка не удалась:   файл /usr/lib/libaprutil-1.so.0 из устанавливаемого
> пакета libapr-util1-1.4.1-2.i586 конфликтует с файлом из пакета
> libapr-util1_0-1.5.1-3.i586

I added Conflicts to avoid this. New build lists:

https://abf.rosalinux.ru/build_lists/1247612
https://abf.rosalinux.ru/build_lists/1247613

But please note that apr-util is not an utility but a library. It should never be installed via "urpmi apr-util" but rather via "urpmi apr-util-devel".

And in fact, I don't know how to test it because I don't see any packages in our repositories that use this library :-)
Comment 4 Vladimir Potapov 2013-09-11 17:13:35 MSD
libapr-util1_0-1.5.2-2-rosa2012.1
*********************** Advisory ********************
New version 1.5.2 with speedups and bugfixes
*****************************************************
QA Verified